centos系统自带python是2.7.5的,升级到3.7.3

安装前需要安装 gcc和  libffi-devel

yum install -y gcc  libffi-devel

wget https://www.python.org/ftp/python/3.7.0/Python-3.7.0.tgz

tar -xzvf Python-3.7.0.tgz

cd Python-3.7.0

./configure --prefix=/usr/local/python37

make

make install

升级后系统默认的还是2.*版本,pip也会报错command not found

ln -sb /usr/local/python37/bin/python37 /usr/bin/python

ln -sb /usr/local/python37/bin/pip /usr/bin/pip

yum命令失效

修改 vi /usr/bin/yum

 !/usr/bin/python    改成    !/usr/bin/python2.7.5

在 pip 安装uwsgi pipenv的时候报错,控制超时, 具体参数为 --default-timeout=100, 后面的时间可以自己指定

标签: none

添加新评论